# FileMode class

The modes in which a File can be opened.

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited

## Constants

APPEND → const FileMode
  @Deprecated("Use append instead")
  `append`
append → const FileMode
  Mode for opening a file for reading and writing to the end of it. The file is created if it does not already exist.
  `const FileMode._internal(2)`
READ → const FileMode
  @Deprecated("Use read instead")
  `read`
read → const FileMode
  The mode for opening a file only for reading.
  `const FileMode._internal(0)`
WRITE → const FileMode
  @Deprecated("Use write instead")
  `write`
write → const FileMode
  Mode for opening a file for reading and writing. The file is overwritten if it already exists. The file is created if it does not already exist.
  `const FileMode._internal(1)`
WRITE_ONLY → const FileMode
  @Deprecated("Use writeOnly instead")
  `writeOnly`
WRITE_ONLY_APPEND → const FileMode
  @Deprecated("Use writeOnlyAppend instead")
  `writeOnlyAppend`
writeOnly → const FileMode
  Mode for opening a file for writing only. The file is overwritten if it already exists. The file is created if it does not already exist.
  `const FileMode._internal(3)`
writeOnlyAppend → const FileMode
  Mode for opening a file for writing only to the end of it. The file is created if it does not already exist.
  `const FileMode._internal(4)`